<script>
	let promise = getPing();

	async function getPing() {
		let baseHost = "http://localhost:8080"
		let basePath = "atlantis"
		let baseUrl = baseHost + "/" + basePath
		let baseServer = baseHost + "/server"

		// test server ping
		let url = baseServer + "/ping"

		const res = await fetch(url);
		const text = await res.text();

		if (res.ok) {
			console.log(text);
			return text;
		} else {
			throw new Error(text);
		}
	}
</script>

{#await promise}
	<p>...waiting</p>
{:then result}
	<p>{result}</p>
{:catch error}
	<p style="color: red">{error.message}</p>
{/await}
